@ECHO OFF

ECHO ----- Compressing title picture...
HUFFMAN title12u.bin title12.bin
BINTODB title12
DEL title12.bin > NUL
HUFFMAN title16u.bin title16.bin
BINTODB title16
DEL title16.bin > NUL

ECHO ----- Assembling Alien Breed IV for TI-83 Ion...
SET ERROR=TI-83 Ion
ECHO #define TI83 > temp.asm
TYPE ab4.asm >> temp.asm
TASM -80 -I -B temp.asm ab4.bin
IF ERRORLEVEL 1 GOTO ERRORS
DEVPAC83 ab4

ECHO ----- Assembling Alien Breed IV for TI-83+ Ion...
SET ERROR=TI-83+ Ion
ECHO #define TI83P > temp.asm
TYPE ab4.asm >> temp.asm
TASM -80 -I -B temp.asm ab4.bin
IF ERRORLEVEL 1 GOTO ERRORS
DEVPAC8X ab4

ECHO ----- Assembling Alien Breed IV for TI-83+ MirageOS...
SET ERROR=TI-83+ MirageOS
ECHO #define MIRAGE > temp.asm
TYPE ab4.asm >> temp.asm
TASM -80 -I -B temp.asm ab4m.bin
IF ERRORLEVEL 1 GOTO ERRORS
DEVPAC8X ab4m

ECHO ----- Assembling Alien Breed IV for TI-86...
SET ERROR=TI-86
ECHO #define TI86 > ab4data.asm
ECHO .org $9000 >> ab4data.asm
TYPE data.asm >> ab4data.asm
TASM -80 -I -S -B ab4data.asm ab4data.bin
IF ERRORLEVEL 1 GOTO ERRORS
BIN2STR ab4data.bin 86
AB4FIX86
ECHO #define TI86 > temp.asm
TYPE ab4.asm >> temp.asm
TASM -80 -I -B temp.asm ab4
IF ERRORLEVEL 1 GOTO ERRORS
PRGM86 ab4

ECHO.
ECHO.
ECHO ----- SUCCESS :)
ECHO TI-83 Ion version is ab4.83p
ECHO TI-83+ Ion version is ab4.8xp
ECHO TI-83+ MirageOS version is ab4m.8xp
ECHO TI-86 version is ab4.86p
GOTO DONE

:ERRORS
ECHO ----- There were errors with the %ERROR% version!

:DONE
IF EXIST ab4data.sym DEL ab4data.sym > NUL
IF EXIST ab4data.asm DEL ab4data.asm > NUL
IF EXIST ab4data.lst DEL ab4data.lst > NUL
IF EXIST ab4data.bin DEL ab4data.bin > NUL
IF EXIST temp.asm DEL temp.asm > NUL
IF EXIST ab4.bin DEL ab4.bin > NUL
IF EXIST ab4 DEL ab4 > NUL
IF EXIST ab4m.bin DEL ab4m.bin > NUL
IF EXIST temp.lst DEL temp.lst > NUL
